/* UtilLib - Copyright (c) 2012-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.logging;


/**
 *
 * @author Vincent Calame
 */
public class ErrorMessageException extends Exception {

    private final CommandMessage errorMessage;

    public ErrorMessageException(String messageKey) {
        super(messageKey);
        this.errorMessage = LogUtils.error(messageKey);
    }

    public ErrorMessageException(String messageKey, Object... values) {
        super(messageKey);
        this.errorMessage = LogUtils.error(messageKey, values);
    }

    public ErrorMessageException(CommandMessage errorMessage) {
        super(errorMessage.getMessageKey());
        if (!errorMessage.isErrorMessage()) {
            this.errorMessage = LogUtils.error(errorMessage);
        } else {
            this.errorMessage = errorMessage;
        }
    }

    public CommandMessage getErrorMessage() {
        return errorMessage;
    }

}
